"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiteSection = void 0;
var react_1 = __importDefault(require("react"));
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var SiteSection = function (props) {
    var children = props.children;
    var className = (0, core_1.isNonEmptyString)(props.className) ? props.className : "";
    var style = (0, core_1.isObject)(props.style) ? props.style : {};
    return (react_1.default.createElement("section", { className: "max-w-7xl w-full mx-auto mb-12 sm:mb-16 md:mb-20 lg:mb-24 ".concat(className), style: style }, children));
};
exports.SiteSection = SiteSection;
exports.default = exports.SiteSection;
//# sourceMappingURL=site-section.js.map