export type TAIExtractorRequestType = "schema" | "task" | string;
export declare const getAIExtractorS3FileName: (requestType: TAIExtractorRequestType, record: Record<string, any>) => string | undefined;
export declare const getAIExtractorFileName: (requestType: TAIExtractorRequestType, record: Record<string, any>) => string | undefined;
export declare const getAIExtractorFileId: (requestType: TAIExtractorRequestType, record: Record<string, any>) => string | undefined;
export declare const processAIExtractorResult: (requestType: string, record: Record<string, any>) => Record<string, any>;
export declare const processAIExtractorJob: (solution: Record<string, any>, record: Record<string, any>, requestType: TAIExtractorRequestType, jobId: string, updateRecord: (data: Record<string, any>) => void, onStartAPICall: (name: string) => void, onSuccessAPICall: (name: string) => void, onErrorAPICall: (name: string, error: any) => void, onSuccessProcessAIExtractorJob?: ((result: Record<string, any>) => void) | undefined, delaySeconds?: number, maxRetryCount?: number) => void;
export declare const startAIExtractorJob: (solution: Record<string, any>, record: Record<string, any>, requestType: TAIExtractorRequestType, updateRecord: (data: Record<string, any>) => void, onStartAPICall: (name: string) => void, onSuccessAPICall: (name: string) => void, onErrorAPICall: (name: string, error: any) => void, onSuccessProcessAIExtractorJob?: ((result: Record<string, any>) => void) | undefined, delaySeconds?: number, maxRetryCount?: number) => void;
