import { TSiteSubmitEmailSectionProps } from "./site-submit-email";
export type TSiteIntroSectionProps = {
    solution?: Record<string, any>;
    title: string;
    subTitle?: string;
    colorName?: string;
    titleTag?: "h1" | "h2";
    bookMeetingSettings?: TSiteSubmitEmailSectionProps & {
        title: string;
    };
    submitEmailSettings?: TSiteSubmitEmailSectionProps & {
        title: string;
    };
};
export declare const SiteIntroSection: (props: TSiteIntroSectionProps) => JSX.Element;
export default SiteIntroSection;
